|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDesignerTaskMenuExtension Class Reference
[QtDesigner module]

    #include <QDesignerTaskMenuExtension>

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerTaskMenuExtension ()
- virtual QAction * preferredEditAction () const
- virtual QList<QAction *> taskActions () const = 0

## Detailed Description

## Member Function Documentation

### QDesignerTaskMenuExtension::~QDesignerTaskMenuExtension () `[virtual]`

### QAction * QDesignerTaskMenuExtension::preferredEditAction () const `[virtual]`

### QList<QAction *> QDesignerTaskMenuExtension::taskActions () const `[pure virtual]`